unit MVCDemoForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ListModel, ListBoxView, ComboBoxView, ListModelPresenter;

type
  TForm1 = class(TForm)
  private
    { Private declarations }
    fListModel: IListModel;
    fPresenter: TListModelPresenter;
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

constructor TForm1.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  fListModel := TListModel.Create;
  fListModel.Add('Joanna Carter');
  fListModel.Add('Jon Jenkinson');
  fListModel.Add('Dave Oldfield');
  fListModel.Add('Joanna Pooley');
  fListModel.Add('Phil Goulson');

  fPresenter := TListModelPresenter.Create(fListModel);
  OnCreate := fPresenter.HandleFormCreate;
end;

destructor TForm1.Destroy;
begin
  fPresenter.Free;
  inherited Destroy;
end;

end.
